CB - Bug #2720

J1.7: Backend: Misconfigured super-users which are in other groups as well (e.g. Registered) don't
see groups above registered in user edit

17 August 2011 06:07 PM - beat

Status: Closed Start date: 17 August 2011
Priority: Normal Due date:

Assignee: beat % Done: 100%
Category: Estimated time: 1:00 hour
Target version: CB1.71

Description

cbacl::get_groups_below_me()
and cb.core.php line 3636 (maybe this could use the acl-function instead of duplicating the code ?)
should not remove anything if a user IS super-admin:

// remove users 'above' me

$i = 0;
while ( $i < count( S$gtree ) ) {
if ( in_array( $gtree[$i]->value, $ex_groups ) ) {
array_splice( $gtree, $i, 1 );
} else {
Sit++;

History

#1 - 17 August 2011 06:07 PM - beat

- Subject changed from J1.6/1.7: Backend: Miconfigured super-users which are in other groups as well (e.g. Registered) don't see groups above
registered in user edit to J1.6/1.7: Backend: Misconfigured super-users which are in other groups as well (e.g. Registered) don't see groups above
registered in user edit

#2 - 14 October 2011 09:59 PM - krileon
- File 2720-pt1.patch added

- File 2720-pt2.patch added

- Status changed from New to Resolved

- Assignee changed from krileon to beat

- % Done changed from 0 to 100

get_groups_below_me first had to be fixed to properly get the groups below someone. I've fixed it to loop through the users groups and uniquely add
them to an array then parse out those that the user doesn't have permission for from a select drop-down object array. This is the same methods used
in GJ 2.4 tested working (which can be removed once this is added to CB core).

#3 - 28 October 2011 06:55 PM - beat

- Subject changed from J1.6/1.7: Backend: Misconfigured super-users which are in other groups as well (e.g. Registered) don't see groups above
registered in user edit to J1.7: Backend: Misconfigured super-users which are in other groups as well (e.g. Registered) don't see groups above
registered in user edit

- Status changed from Resolved to Closed

Fixed in r1581 similar and equivalent to proposed patch.

05 December 2020 12




Thanks Kyle.

Files
2720-pt1.patch 2.7KB 14 October 2011 krileon
2720-pt2.patch 1.87 KB 14 October 2011 krileon
